using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.InteropServices;
using CrossControl;

namespace Backlight_exampleCS
{
    class Program
    {
        static void Main(string[] args)
        {
            CCBacklightCS BacklightCtrl = new CCBacklightCS();
            Byte value;
            CCAuxErrorCS.eErr err;

            err = BacklightCtrl.getIntensity(out value);

            if(err == CCAuxErrorCS.eErr.SUCCESS)
            {
                Console.WriteLine("Current internsity:" + value.ToString());
            }
            else
            {
                Console.WriteLine("Error(" + Convert.ToInt16(err).ToString() + ") in function getIntensity: " + CCAuxErrorCS.GetErrorString(err));
            }

            value += 10;

	        //Get current intensity
            err = BacklightCtrl.setIntensity(value);

            if(err == CCAuxErrorCS.eErr.SUCCESS)
            {
                Console.WriteLine("Setting backlight intensity: " + value.ToString());
            }
            else
            {
                Console.WriteLine("Error(" + Convert.ToInt16(err).ToString() + ") in function setIntensity: " + CCAuxErrorCS.GetErrorString(err));
            }

            //Release the backlight controller
            BacklightCtrl.Dispose();

            Console.Write("\nPress any key to continue:");
            Console.ReadKey(); 
        }
    }
}
